## org.omg.CORBA
Class ParameterModeHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ParameterModeHelper

public class ParameterModeHelper
extends java.lang.Object

Helper class for : ParameterMode

Author:
  OpenORB Compiler

Constructor Summary
`ParameterModeHelper()`

Method Summary
`static ParameterMode` `extract(Any a)` Extract ParameterMode from an any
`static java.lang.String` `id()` Return the ParameterMode IDL ID
`static void` `insert(Any a, ParameterMode t)` Insert ParameterMode into an any
`static ParameterMode` `read(InputStream istream)` Read ParameterMode from a marshalled stream
`static TypeCode` `type()` Return the ParameterMode TypeCode
`static void` `write(OutputStream ostream, ParameterMode value)` Write ParameterMode into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterModeHelper

    public ParameterModeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ParameterMode t)

  Insert ParameterMode into an any
  Parameters:
    `a` - an any
    `t` - ParameterMode value

### extract

    public static ParameterMode extract(Any a)

  Extract ParameterMode from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ParameterMode value

### type

    public static TypeCode type()

  Return the ParameterMode TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ParameterMode IDL ID
  Returns:
    an ID

### read

    public static ParameterMode read(InputStream istream)

  Read ParameterMode from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ParameterMode value

### write

    public static void write(OutputStream ostream,
                             ParameterMode value)

  Write ParameterMode into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ParameterMode value